Package com.xebialabs.xlrelease.domain.management

# Class ServiceState$

java.lang.Object
scala.Enumeration
com.xebialabs.xlrelease.domain.management.ServiceState$

All Implemented Interfaces:
  `Serializable`

public class ServiceState$ extends scala.Enumeration

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class scala.Enumeration

  `scala.Enumeration.Val, scala.Enumeration.Value, scala.Enumeration.ValueOrdering$, scala.Enumeration.ValueSet, scala.Enumeration.ValueSet$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ServiceState$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

  ### Fields inherited from class scala.Enumeration

  `scala$Enumeration$$bottomId, scala$Enumeration$$topId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceState$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.Enumeration.Value`
  `Running()`
  `scala.Enumeration.Value`
  `Starting()`
  `scala.Enumeration.Value`
  `Stopped()`
  `scala.Enumeration.Value`
  `Stopping()`

  ### Methods inherited from class scala.Enumeration

  `apply, maxId, nextId, nextId_$eq, nextName, nextName_$eq, readResolve, scala$Enumeration$$nameOf, scala$Enumeration$$nextNameOrNull, scala$Enumeration$$vmap, scala$Enumeration$$vsetDefined_$eq, toString, Value, Value, Value, Value, ValueOrdering, values, ValueSet, withName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final ServiceState$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ServiceState$

    public ServiceState$()

- ## Method Details

  - ### Starting

    public scala.Enumeration.Value Starting()

  - ### Running

    public scala.Enumeration.Value Running()

  - ### Stopping

    public scala.Enumeration.Value Stopping()

  - ### Stopped

    public scala.Enumeration.Value Stopped()